<?php

class XfAddOns_Sitemap_Override_ControllerAdmin_Forum extends XFCP_XfAddOns_Sitemap_Override_ControllerAdmin_Forum
{
	
	public function actionSave()
	{
		$ret = parent::actionSave();

		$nodeId = $this->_input->filterSingle('node_id', XenForo_Input::UINT);
		$sitemap = $this->_input->filterSingle('xfa_sitemap', XenForo_Input::UINT);

		// update in the database with the information for the sitemap
		$db = XenForo_Application::getDb();
		$db->query("UPDATE xf_forum SET xfa_sitemap = ? WHERE node_id = ?",
			array( $sitemap, $nodeId ));
		
		return $ret;
	}
	
	
}